/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectQuotaApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectQuotaApiTests : IDisposable
    {
        private ProjectQuotaApi instance;

        public ProjectQuotaApiTests()
        {
            instance = new ProjectQuotaApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectQuotaApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectQuotaApi
            //Assert.IsType<ProjectQuotaApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdQuotasOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdQuotasOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.ApiV2ProjectsProjectIdQuotasOptions(projectId);
        }

        /// <summary>
        /// Test GetProjectQuota
        /// </summary>
        [Fact]
        public void GetProjectQuotaTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceTypeId = null;
            //var response = instance.GetProjectQuota(projectId, resourceTypeId);
            //Assert.IsType<ProjectQuotaDtoResponse>(response);
        }

        /// <summary>
        /// Test GetProjectQuotas
        /// </summary>
        [Fact]
        public void GetProjectQuotasTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetProjectQuotas(projectId, pageNumber, pageSize, orderBy);
            //Assert.IsType<ProjectQuotaDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test UpdateProjectQuota
        /// </summary>
        [Fact]
        public void UpdateProjectQuotaTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceTypeId = null;
            //ProjectQuotaForUpdateDto? projectQuotaForUpdateDto = null;
            //instance.UpdateProjectQuota(projectId, resourceTypeId, projectQuotaForUpdateDto);
        }
    }
}
